Bug 59163 - FILESAVE: Mac proxy icon isn't displayed after first saving a document
Summary: FILESAVE: Mac proxy icon isn't displayed after first saving a document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) macOS (All)
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 84301 (view as bug list)
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2013-01-09 11:16 UTC by darkweasel
Modified: 2022-05-17 03:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darkweasel 2013-01-09 11:16:32 UTC
Problem description: 
Normally OS X apps, including LibreOffice, display a little icon (proxy icon) to the left of the document name which can be used to show the containing directory in the Finder, or move the document somewhere else.

However, LibreOffice seems to check whether to display one only when it opens a document from somewhere. It doesn't display a proxy icon if (a) the document is unsaved or (b) it has just been saved for the first time after being created.

(Not a big bug, but still something.)

Steps to reproduce:
1. Create a new document in at least Writer or Calc, may happen in other components too but I didn't test.
2. Save the document

Current behavior:
The title bar has no proxy icon.

Expected behavior:
The title bar should either have a proxy icon at least after being saved, and possibly even before the document having first been saved so you can (at least I guess that's the point) drag it somewhere to save it. (The latter is the behavior in the comparable application Microsoft Word.)
Operating System: Mac OS X
Version: 3.6.4.3 release
Comment 1 Emir Sarı 2013-02-07 02:47:04 UTC
I can reproduce this issue, setting status to "NEW".
Comment 2 Joel Madero 2015-05-02 15:42:18 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2016-09-20 09:38:07 UTC Comment hidden (obsolete)
Comment 4 eisa01 2017-08-26 14:17:28 UTC
LibreOffice displays the proxy icon immediately after saving a new empty document.

This should fix issue b)

LibreOffice does not show the proxy icon if the document is unsaved and have contents, however neither does the current version of Word (15.37)

TextEdit does show the proxy icon for unsaved documents as soon as you type contents, but I suspect this is because it has actually saved a document in the cloud/locally, as I can quit the app and still have it reopen

As such, I think LibreOffice has the correct behaviour for the features it support

Version: 5.4.0.3
Mac OS X 10.12.6
Comment 5 eisa01 2017-08-26 22:48:01 UTC
While testing bug 84301 I discovered that if I save a new document with contents (e.g., write Test in Writer) the proxy icon doesn't show, so this has not been (fully) fixed after all
Comment 6 eisa01 2017-08-26 22:50:05 UTC
*** Bug 84301 has been marked as a duplicate of this bug. ***
Comment 7 eisa01 2018-06-14 21:00:55 UTC
This is still present, also inherited

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 8 QA Administrators 2019-10-28 03:30:05 UTC Comment hidden (obsolete)
Comment 9 eisa01 2019-11-02 15:57:21 UTC
Still present

Version: 6.4.0.0.alpha1+
Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Locness 2020-05-14 07:08:56 UTC
I only partially agree with the bug's new title, it doesn't show when first saving, but it also doesn't update if you "Save as".
Comment 11 Locness 2020-05-14 07:10:53 UTC
Oops, idk what I've done with my previous comment. Though, the proxy icon still doesn't update when saving a file to another location (save as)
Comment 12 QA Administrators 2022-05-17 03:31:50 UTC
Dear darkweasel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug